# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Added (for new features)

* Tests for version history
* Tests for inheritance bug (caosdb/caosdb-server!54)
* Tests for versioning
* Tests for deeply nested SELECT queries
* Tests for [#62](https://gitlab.com/caosdb/caosdb-server/-/issues/62)
* Tests for One-time Authentication Tokens
* Test for [caosdb-pylib#31](https://gitlab.com/caosdb/caosdb-pylib/-/issues/31)
* Tests for [caosdb-server#62](https://gitlab.com/caosdb/caosdb-server/-/issues/62)
  in caosdb-server-project, i.e., renaming of a RecordType that should
  be reflected in properties with that RT as datatype.
* Test for [#39](https://gitlab.com/caosdb/caosdb-server/-/issues/39)
  in caosdb server which checks if quoted datetimes in queries are
  evaluated correctly.
* Test for [caosdb-server#99](https://gitlab.com/caosdb/caosdb-server/-/issues/99).
* Tests for retrieving older versions.

### Changed (for changes in existing functionality)

* Tests comply with the new entity error handling (see
  [#32](https://gitlab.com/caosdb/caosdb-pylib/-/issues/32) in
  caosdb-pylib).
* `test_recursive_parents.py` now tests inserted entities; set to
  xfail until
  [caosdb-pylib#34](https://gitlab.com/caosdb/caosdb-pylib/-/issues/34)
  is fixed.

### Deprecated (for soon-to-be removed features)

### Removed (for now removed features)

- Some redundant tests from `test_tickets.py` that checked
  functionality that was already tested in `test_error_stuff.py`.

### Fixed (for any bug fixes)

* Tests for NaN Double Values (see https://gitlab.com/caosdb/caosdb-server/issues/41)
* Tests for name queries. [caosdb-server#51](https://gitlab.com/caosdb/caosdb-server/-/issues/51)

### Security (in case of vulnerabilities)

